﻿using System;
using System.IO;
using FunctionalCLR.Core;

namespace FunctionalCLR.Shell.Function.IO {

    /// <summary>
    /// hasdirectory("C:\\hello");
    /// </summary>
    public class DirectoryExistNode : FuncNode {

        public DirectoryExistNode()
            : base() {
            base.Value = "hasDir";
        }

        public override FuncNode GetReversedFunction(int index) {
            throw new NotImplementedException();
        }

        public override object Evaluate() {
            return Directory.Exists(Children[0].Evaluate().ToString());
        }
    }
}
