﻿using System;

namespace FunctionalCLR.Core.Function.Flow {
    public class WhileNode : FuncNode {

        public WhileNode()
            : base() {
            base.Value = "while";
        }

        public override FuncNode GetReversedFunction(int index) {
            throw new NotImplementedException();
        }

        public override object Evaluate() {
            string cond = Children[Children.Count - 1].Evaluate().ToString();
            string result = string.Empty;

            while (cond.ToLower().Equals("true")) {
                try {
                    Children[Children.Count - 2].Evaluate();                    
                } catch (BreakException ex) {
                    break;
                }
                cond = Children[Children.Count - 1].Evaluate().ToString();
            }

            return null;
        }
    }
}
