﻿using System;

namespace FunctionalCLR.Core.Functions.Maths {
    public class ExpNode : FuncNode {
        public ExpNode() {
            base.Value = "exp";
            this.ParameterCount = 1;
        }

        public override object Evaluate() {
            double result = Convert.ToDouble(Children[0].Evaluate());

            return Math.Exp(result).ToString();
        }
    }
}
