﻿using System;
using System.Collections.Generic;
using System.Text;
using FunctionalCLR;
using FunctionalCLR.Core;

namespace FunctionalCLR.Core.Function.String {
    public class SubstringNode : FuncNode {

        public SubstringNode()
            : base() {
            base.Value = "substring";
        }

        public override FuncNode GetReversedFunction(int index) {
            throw new NotImplementedException();
        }

        public override object Evaluate() {
            int length = Children.Count;
            if (length < 3) {
                throw new ArgumentException();
            }

            string expr = Children[length - 1].Evaluate().ToString();
            int from = Convert.ToInt32(Children[length - 2].Evaluate());
            int count = Convert.ToInt32(Children[length - 3].Evaluate());

            return expr.Substring(from, count);
        }
    }
}
