﻿using System;
using System.Collections.Generic;
using System.Text;
using FunctionalCLR;
using FunctionalCLR.Core;

namespace FunctionalCLR.Core.Function.String {
    public class TrimNode : FuncNode {

        public TrimNode()
            : base() {
            base.Value = "trim";
        }

        public override FuncNode GetReversedFunction(int index) {
            throw new NotImplementedException();
        }

        public override object Evaluate() {
            int length = Children.Count;
            if (length < 1) {
                throw new ArgumentException();
            }

            string expr = Children[0].Evaluate().ToString();

            return expr.Trim();
        }
    }
}
