﻿using System.Collections.Generic;

namespace FunctionalCLR.Core {
    public interface IFunctionManager {
        void Add(string funcName, object func);

        FuncNode Get(string functionName);

        List<FuncNode> GetAll();

        bool Exist(string fileName);

        void Remove(string command);

        bool IsUserDefinedFunction(string p);
    }
}
