﻿using System;
using System.Collections.Generic;
using System.Text;

namespace FunctionalCLR.Core
{
    public class TokenNotAsExpectedException : Exception
    {
        public TokenNotAsExpectedException() : base()
        {
        }

        public TokenNotAsExpectedException(string[] expected, string actual)
            : base(string.Format(
                "Expected is {0}, but actual is {1}",
                expected, actual))
        {
        }

        public TokenNotAsExpectedException(TokenType[] expected, string actual)
            : base(string.Format(
                "Expected is {0}, but actual is {1}",
                expected, actual)) {
        }
    }
}
