﻿using System;
using FunctionalCLR.Core;
using System.Collections;
using System.Collections.Generic;
using Microsoft.SolverFoundation.Services;

namespace FunctionalCLR.Shell.Optimization {

    /// <summary>
    /// The form is 
    /// a = minimize(1-2*x^2, [x], 0, 100);
    /// echo(a); # the result is 
    /// echo(x); # the output is
    /// </summary>
    public class MinimizeNode : OptimizeNode {

        public MinimizeNode()
            : base(false) {
            base.Value = "minimize";
        }
    }
}
