﻿using System;
using System.Collections.Generic;
using FunctionalCLR.Core.Logging;

namespace Zove.Query
{
    public class ModelLoadingException : Exception
    {

        public List<LoggingMessage> ErrorMessages
        {
            get;
            set;
        }

        public ModelLoadingException(List<LoggingMessage> errorMessages)
            : base()
        {
            this.ErrorMessages = errorMessages;
        }
    }
}
