﻿using FunctionalCLR.Shell;
using NUnit.Framework;
using System;

namespace Zove.Test {

    [TestFixture]
    public class MathematicaInterfaceTests : AbstractTests
    {
        [Test]
        public void TestEvaluate() {
            IContext cnt = base.Execute(
                "a=MathematicaInput(2+1);echo(a);");

            double var = Convert.ToDouble(
                cnt.GetVariable("a"));
            Assert.AreEqual(3, var);
        }
    }
}
