﻿using System;

namespace EmbeddedSharp.Core.Function.Flow {

    /// <summary>
    /// 
    /// </summary>
    public class IfNode : FuncNode {

        public IfNode()
            : base() {
            base.Value = "if";
        }

        public override object Evaluate() {
            string result = Parameters[Parameters.Count - 1].Evaluate().ToString();

            if (result.ToLower() == "true") {
                result = Parameters[Parameters.Count - 2].Evaluate().ToString();
            } else {
                if (Parameters.Count > 2) {
                    result = Parameters[Parameters.Count - 3].Evaluate().ToString();
                } else {
                    result = string.Empty;
                }
            }

            return result;
        }

        public override object Accept(IVisitor visitor) {
            return visitor.Visit(this);
        }
    }
}
