﻿using System;

namespace EmbeddedSharp.Core.Function.Flow {

    /// <summary>
    /// try({normal operation code},{exception handling code});
    /// </summary>
    public class TryNode : FuncNode {

        public TryNode()
            : base() {
            base.Value = "try";
        }

        public override object Evaluate() {
            try {
                Parameters[Parameters.Count - 1].Evaluate();
            } catch (FunctionalCLRException ex) {
                Parameters[Parameters.Count - 2].Evaluate();
            }
            if (Parameters.Count > 2) {
                Parameters[Parameters.Count - 3].Evaluate();
            }

            return null;
        }
    }
}
