﻿using System;

namespace EmbeddedSharp.Core.Function.Maths {

    /// <summary>
    /// 
    /// </summary>
    public class FloorNode : FuncNode {
        public FloorNode()
            : base() {
            base.Value = "floor";
        }

        public override object Evaluate()
        {
            if (Parameters.Count < 1)
            {
                throw new ArgumentException("usage: floor(number)");
            }

            double result = Convert.ToDouble(Parameters[0].Evaluate());

            return System.Math.Floor(result).ToString();
        }
    }
}