﻿namespace EmbeddedSharp.Core {
    public class StringNode : Node {

        public StringNode()
            : base() {
        }

        public StringNode(string value)
            : base() {
            base.Value = value;
        }

        public override object Accept(IVisitor visitor) {
            return visitor.Visit(this);
        }

        public override object Evaluate() {
            return base.Value;
        }

        public override string ToString() {
            return base.Value;
        }
    }
}
