﻿using EmbeddedSharp.Core;

namespace EmbeddedSharp.Core {
    public interface IUserDefinedType {

        string Name {
            get;
            set;
        }

        string ClassName {
            get;
            set;
        }

        int LineNumber {
            get;
            set;
        }

        string Comment {
            get;
            set;
        }

        IExpressionParserFactory ParserFactory {
            get;
            set;
        }

        IFunctionManager FunctionManager {
            get;
            set;
        }
    }
}
