﻿using System;

namespace EmbeddedSharp.Core {
    public class IdentifierNode : Node {

        public IdentifierNode() {
        }

        public IdentifierNode(object value) {
            base.Value = Convert.ToString(value);
        }

        public override string Type {
            get {
                return "Variable";
            }
        }

        public override object Accept(IVisitor visitor) {
            return visitor.Visit(this);
        }

        public override object Evaluate() {
            return base.Value;
        }
   }
}
