﻿using System;
using System.Collections.Generic;
using System.Text;

namespace EmbeddedSharp.Core.Logging {
    public class ConsoleLogger : ILogger {

        #region ILogManager Members

        public void WriteLog(string message, params string[] args) {
            Console.WriteLine(message, args);
        }

        public void WriteLog(Exception ex) {
            Console.WriteLine(string.Format("{0}:{1}", ex.Message, ex.Source));
        }

        #endregion
    }
}
