﻿using System;
using System.IO;
using EmbeddedSharp.Core;

namespace EmbeddedSharp.Scripting.Function.IO {

    /// <summary>
    /// hasdirectory("C:\\hello");
    /// </summary>
    public class DirectoryExistNode : FuncNode {

        public DirectoryExistNode()
            : base() {
            base.Value = "isFolder";
        }

        public override object Evaluate() {
            if (Parameters.Count < 1) {
                return "usage: hasDir(dir)";
            }

            return Directory.Exists(
                Parameters[0].Evaluate().ToString());
        }
    }
}
