﻿using System;
using EmbeddedSharp.Core;
using System.Diagnostics;

namespace EmbeddedSharp.Scripting.Function.IO {
    public class OSCommandFunction : FuncNode {

        public OSCommandFunction() {
            base.Value = "oscall";
        }

        public override object Evaluate() {
            if (Parameters.Count < 1) {
                return "usage: oscall(exec, arg1, arg2,)";
            }

            Process process = new Process();

            process.StartInfo.FileName = "";
            process.StartInfo.Arguments = "";

            return process.Start();
        }
    }
}
