﻿using System;
using EmbeddedSharp.Core;

namespace EmbeddedSharp.Scripting.Function.List {

    /// <summary>
    /// lst = [1,3,5,7,9,10];
    /// element = select(lst, 3);
    /// echo(element);
    /// 
    /// the expected result is 5
    /// </summary>
    public class ListSortNode : FuncNode {

        public ListSortNode()
            : base() {
            this.Value = "sort";
        }

        public override object Evaluate() {
            ListNode node = (ListNode)Parameters[1].Evaluate();
            int nth = Convert.ToInt32(Parameters[0].Evaluate());

            return node.Parameters[nth];
        }
    }
}
