﻿namespace EmbeddedSharp.Scripting {
    public interface IScriptingObject {

        /// <summary>
        /// Run the script
        /// </summary>
        void Run();

        /// <summary>
        /// Evaluate an expression
        /// </summary>
        /// <param name="expr"></param>
        /// <returns></returns>
        object Evaluate(string expr);

        /// <summary>
        /// The file name
        /// </summary>
        string FileName {
            get;
        }
    }
}
