﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using Zove.Runtime;
using EmbeddedSharp.Core;
using System.ComponentModel;

namespace Zove.Desktop {
    public class Program {

        public static void InitializeDependencies() {
            IClassFinder finder
               = Zove.Runtime.ZoveDependencyManager.Instance.ClassFinder;
            IClassLoader loader
                = Zove.Runtime.ZoveDependencyManager.Instance.ClassLoader;
            IRuntimeModelLoader modelLoader
                = Zove.Runtime.ZoveDependencyManager.Instance.RuntimeModelLoader;
            IFunctionManager fmgr = Zove.Runtime.ZoveDependencyManager.Instance.FunctionManager;
        }

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main() {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            
            // InitializeDependencies();

            Form1 form1 = new Form1();
            DesktopFormContext.Context.Main = form1;

            Application.Run(form1);
        }
    }
}
