﻿using System.Collections.Generic;
using System.IO;
using EmbeddedSharp.Core;

namespace Zove.Desktop {
    public class Project {

        public string Name {
            get;
            set;
        }

        public Project() {
            Directories = new List<DirectoryInfo>();
            Files = new List<FileInfo>();
            BreakPoints = new List<BreakPoint>();
        }

        public Project(string name)
            : this() {
            this.Name = name;
        }

        public List<DirectoryInfo> Directories {
            get;
            set;
        }

        public List<FileInfo> Files {
            get;
            set;
        }

        public List<BreakPoint> BreakPoints {
            get;
            set;
        }
    }
}
