﻿using EmbeddedSharp.Scripting;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Zove.Runtime.Test
{
    /// <summary>
    /// Summary description for DebuggingFunctionTest
    /// </summary>
    [TestClass]
    public class DebuggingFunctionTest
    {
        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext { get; set; }

        #region Additional test attributes

        //
        // You can use the following additional attributes as you write your tests:
        //
        // Use ClassInitialize to run code before running the first test in the class
        // [ClassInitialize()]
        // public static void MyClassInitialize(TestContext testContext) { }
        //
        // Use ClassCleanup to run code after all tests in a class have run
        // [ClassCleanup()]
        // public static void MyClassCleanup() { }
        //
        // Use TestInitialize to run code before running each test 
        // [TestInitialize()]
        // public void MyTestInitialize() { }
        //
        // Use TestCleanup to run code after each test has run
        // [TestCleanup()]
        // public void MyTestCleanup() { }
        //

        #endregion

        [TestMethod]
        public void TestAssert()
        {
            string source = "hello=\"hello\";world=\"world\";assert(hello, world);";

            RunScript(source);
        }

        /// <summary>
        /// Run the test script
        /// </summary>
        /// <param name="source"></param>
        public void RunScript(string source)
        {
            var script = new ScriptingObject(source);

            script.Run();
        }
    }
}