﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Zove.Runtime.Core {
    public class FactorNotFoundException : RuntimeException {

        public FactorNotFoundException(string factorName)
            : base("Factor " + factorName + " is not found in the current object") {
        }

        public FactorNotFoundException(string factorName, RuntimeModel model)
            : base("Model " + model.Name + " does not have a factor named " + factorName) { }
    }
}
