﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Zove.Runtime.Core {
    public class RuntimeFactorCollection : List<RuntimeFactor> {

        public RuntimeFactor this[string factorName]
        {
            get
            {
                foreach(RuntimeFactor runtimeFactor in this)
                {
                    if(runtimeFactor.Name == factorName)
                    {
                        return runtimeFactor;
                    }
                }

                //throw new FactorNotFoundException(factorName);
                return null;
            }
        }
    }
}
