﻿namespace Zove.Runtime.Core
{
    public class SolvedFactor
    {
        public IInferencingStrategy Strategy { get; set; }

        public RuntimeFactor Factor { get; set; }

        public RuntimeRule Rule { get; set; }

        /// <summary>
        /// Evaluate
        /// </summary>
        public double Evaluate()
        {
            Factor.Value = Strategy.Evaluate(this);
            //this.Factor.Status = RuntimeFactorStatus.Evaluated;

            return Factor.Value;
        }
    }
}