﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using EmbeddedSharp.Core;

namespace Zove.Scripting.Guikit {
    public class SaveFileDialogNode : FuncNode {
        public SaveFileDialogNode()
            : base() {
            base.Value = "SaveFileDialog";
        }

        public override object Evaluate() {
            SaveFileDialog d = new SaveFileDialog();
            if (d.ShowDialog() == DialogResult.OK) {
                return d.FileName;
            }

            return string.Empty;
        }
    }
}
