﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace EmbeddedSharp.Scripting.Visualization.Functions
{
    /// <summary>
    /// Center the focus.
    /// </summary>
    public class CenterNode : VisualizationContextFuncNode
    {
        public CenterNode()
            : base() {
            base.Value = "Center";
        }

        public override object Evaluate() {
            if (Parameters.Count < 1) {
                throw new Exception("usage: Center()");
            }

            return string.Empty;
        }
    }
}
