﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace EmbeddedSharp.Scripting.Visualization {
    public class VisualizationPool {

        private static VisualizationPool pool;

        private VisualizationPool() {
        }

        /// <summary>
        /// Get the instance of the visualization pool
        /// </summary>
        public static VisualizationPool Instance {
            get {
                if (pool == null) {
                    pool = new VisualizationPool();
                }

                return pool;
            }
        }
    }
}
