﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Zove.Scripting.Core;
using ZedGraph;

namespace Zove.Scripting.Visualization {
    public class VisualizingContext : ZoveScriptingContext {

        private GraphPane pane = null;

        public GraphPane GraphPane {
            get {
                return pane;
            }
        }

        public VisualizingContext(GraphPane graphPane) : base() {
            pane = graphPane;
        }
    }
}
