﻿using System;

namespace FunctionalCLR.Core.Function.Arithmetics {
    public class RemainderNode : OperatorNode {
        public RemainderNode() {
            Value = "\\";
            Precedence = 2;
        }

        public override FuncNode GetReversedFunction(int index) {
            throw new NotImplementedException();
        }

        public override object Evaluate() {
            object value = Left.Evaluate();
            double lr = Convert.ToDouble(value);

            value = Right.Evaluate();
            double rr = Convert.ToDouble(value);

            return (lr % rr).ToString();
        }
    }
}
