﻿using System;

namespace FunctionalCLR.Core.Function {
    public class DeclareNode : OperatorNode {

        private string name = string.Empty;

        private int numberOfParameters = 0;

        public string Name {
            get {
                return this.name;
            }
        }

        public int NumberOfParameters {
            get {
                return this.numberOfParameters;
            }
        }

        public override object Evaluate() {
            foreach (Node child in Children) {
                child.Evaluate();
            }

            UserDefinedFunctionNode func
                = (UserDefinedFunctionNode)Children[0];
            FuncNode funcBody = (FuncNode)Children[1];
            func.Body = funcBody;

            return string.Empty;
        }
    }
}
