﻿using System;

namespace FunctionalCLR.Core.Function.Flow {
    public class IfNode : FuncNode {

        public IfNode()
            : base() {
            base.Value = "if";
        }

        public override FuncNode GetReversedFunction(int index) {
            throw new NotImplementedException();
        }

        public override object Evaluate() {
            string result = Children[Children.Count - 1].Evaluate().ToString();

            if (result.ToLower() == "true") {
                result = Children[Children.Count - 2].Evaluate().ToString();
            } else {
                if (Children.Count > 2) {
                    result = Children[Children.Count - 3].Evaluate().ToString();
                } else {
                    result = string.Empty;
                }
            }

            return result;
        }

        public override object Accept(IVisitor visitor) {
            return visitor.Visit(this);
        }
    }
}
