﻿using System;
using System.Collections.Generic;
using System.Text;
using FunctionalCLR.Core;

namespace FunctionalCLR.Core.Function.Logic {
    public class NorNode : LogicOperatorNode {

        public NorNode()
            : base() {
            this.Value = "!|";
        }

        public override FuncNode GetReversedFunction(int index) {
            return new OrNode();
        }

        public override object Evaluate() {
            bool lr = Convert.ToBoolean(Left.Evaluate());
            bool rr = Convert.ToBoolean(Right.Evaluate());

            return lr && rr;
        }
    }
}
