﻿using System;
using System.Collections.Generic;
using System.Text;
using FunctionalCLR.Core;

namespace FunctionalCLR.Core.Function.Logic {
    public class NotEqualNode : LogicOperatorNode {

        public NotEqualNode()
            : base() {
            this.Value = "!=";
        }

        public override FuncNode GetReversedFunction(int index) {
            return new EqualNode();
        }

        public override object Evaluate() {
            string lr = Left.Evaluate().ToString();
            string rr = Right.Evaluate().ToString();

            return lr != rr;
        }
    }
}
