﻿using System;

namespace FunctionalCLR.Core {
    public class AbsNode : FuncNode {
        public AbsNode()
            : base() {
            base.Value = "abs";
            this.ParameterCount = 1;
        }

        public override FuncNode GetReversedFunction(int index) {
            throw new NoOppositeOperatorException(string.Format(
                "Function {0} cannot be transformed", this.Value));
        }

        public override object Evaluate() {
            double result = Convert.ToDouble(Children[0].Evaluate());

            return Math.Abs(result).ToString();
        }
    }
}
