﻿namespace FunctionalCLR.Core {
    public interface IParserFactory {

        Parser CreateParser(string expr);

        Parser CreateParser(string expr, object context);

        object Evaluate(string expr);

        object Evaluate(string expr, object context);
    }
}
