﻿using System;
using System.Collections.Generic;
using System.Text;

namespace FunctionalCLR.Core
{
    public enum TokenType
    {
        Identifier = 0,
        Number,
        Add,
        Sub,
        Mul,
        Div,
        ForwardSlash,
        Square,
        Sqrt,
        Comma,
        Semicolon,
        LeftBrace,
        RightBrace,
        LeftBracket,
        RightBracket,
        LeftSquareBrace,
        RightSquareBrace,
        Assign,
        Dollar,
        Exclamation,
        Colon,
        Wow,
        Question,
        At,
        Underline,
        Tilde,
        Percent,
        Comment,
        String,
        Equal,
        NotEqual,
        LargerEqualTo,
        LargerThan,
        LessEqualTo,
        LessThan,
        And,
        Or,
        Not,
        Nand,
        Nor,
        Declare
    }

    public class Token
    {
        public TokenType TokenType
        {
            get;
            set;
        }

        public string Value
        {
            get;
            set;
        }

        public override string ToString()
        {
            return Value;
        }
    }
}
