﻿using System;

namespace Zove.Query
{
    public class AssertException : Exception
    {

        public AssertException(object expected, object actual)
            : base(string.Format("Asserting {0} is not matched with {1}.", expected, actual))
        {
        }

        public AssertException(string message)
            : base(message)
        {
        }
    }
}
