﻿using FunctionalCLR.Core;

namespace Zove.Runtime.FunctionalCLR
{
    public class FactorNode : IdentifierNode
    {
        public FactorNode() {
        }

        public FactorNode(RuntimeFactor rf) {
            base.Value = rf.Name;
            this.Factor = rf;
        }

        public RuntimeFactor Factor {
            get;
            set;
        }

        public override object Evaluate()
        {
            return this.Factor.Value.ToString();
        }
    }
}
