﻿namespace Zove.Runtime
{
    /// <summary>
    /// Finds the file location of the given class.
    /// </summary>
    public interface IClassFinder
    {
        /// <summary>
        /// 
        /// </summary>
        /// <param name="workspace"></param>
        void AddWorkspace(string workspace);

        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        string[] GetAllWorkspaces();

        /// <summary>
        /// Gets the location of the class.
        /// </summary>
        /// <param name="className">the class name</param>
        /// <returns>the file location</returns>
        string GetLocation(string className);
    }
}
