﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Zove.Runtime.Logging
{
    public interface ILogManager
    {
        /// <summary>
        /// Write a log to a designated source.
        /// </summary>
        /// <param name="message">The log message</param>
        /// <param name="args">Arguments as specified</param>
        void WriteLog(string message, params string[] args);
    }
}
