﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;

namespace Zove.Runtime.Logging {
    public class EventLogManager : ILogManager {
        private EventLog el = null;

        public EventLogManager() {
            el = new EventLog();
        }

        #region ILogManager Members

        public void WriteLog(string message, params string[] args) {
            el.WriteEntry(string.Format(message, args));
        }

        #endregion
    }
}
