﻿using System;
using System.Collections.Generic;
using NUnit.Framework;
using FunctionalCLR.Shell.Optimization;
using Microsoft.SolverFoundation.Services;

namespace Zove.Test {

    [TestFixture]
    public class TestOMLSover {

        [Test]
        public void Test() {
            OMLSolver solver = new OMLSolver();

            Solution solution = solver.Solve(
                "h", true, new string[] { "w", "h" }, 
                new string[] { "h<7", "h>0" });

            Report report = solution.GetReport();
            Console.WriteLine(report.ToString());
        }
    }
}
