﻿using Zove.Runtime;

namespace Ascend.Runtime.Core
{
    public class AscendDependencyManager
    {
        private static readonly AscendDependencyManager instance = new AscendDependencyManager();

        private readonly AscendClassFinder classFinder = new AscendClassFinder();

        private AscendDependencyManager()
        {
        }

        public static AscendDependencyManager Instance
        {
            get { return instance; }
        }

        public IClassFinder ClassFinder
        {
            get { return classFinder; }
        }
    }
}