﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace EmbeddedSharp.Core {
    [Serializable]
    public class BreakPoint {
        public int LineNumber {
            get;
            set;
        }

        public BreakPoint() {
        }

        public BreakPoint(int bp)
            : base() {
            this.LineNumber = bp;
        }

        public string File {
            get;
            set;
        }

        public bool Enabled {
            get;
            set;
        }

        public string Condition {
            get;
            set;
        }
    }
}
