﻿using System.IO;

namespace EmbeddedSharp.Core {
    public class FileContentProvider : ITextContentProvider {

        public string Name { get; set; }
        #region ITextContextProvider Members

        public System.IO.TextReader SourceReader {
            get { return new StreamReader(this.Name); }
        }

        #endregion

        public FileContentProvider(string fileName) {
            this.Name = fileName;
        }
    }
}
