﻿using System.Reflection;

namespace EmbeddedSharp.Core.Function.Administration {
    public class VersionNode : FuncNode {

        public VersionNode()
            : base() {
            base.Value = "version";
        }

        public override object Evaluate() {
            return Assembly.GetExecutingAssembly().GetName().Version.ToString();
        }
    }
}
