﻿using System;
using System.Collections.Generic;
using System.Text;
using EmbeddedSharp.Core;

namespace EmbeddedSharp.Core.Function.Logic {
    public class EqualNode : LogicOperatorNode {

        public EqualNode()
            : base() {
                base.Value = "==";
        }

        public override FuncNode GetReversedFunction(int index) {
            return new NotEqualNode();
        }

        public override object Evaluate() {
            string lr = Left.Evaluate().ToString();
            string rr = Right.Evaluate().ToString();

            return Convert.ToString(lr == rr);
        }
    }
}
