﻿using System;
using System.Collections.Generic;
using System.Text;
using EmbeddedSharp.Core;

namespace EmbeddedSharp.Core.Function.Logic {
    public class NandNode : LogicOperatorNode {

        public NandNode()
            : base() {
            this.Value = "!&";
        }

        public override FuncNode GetReversedFunction(int index) {
            return new AndNode();
        }

        public override object Evaluate() {
            bool lr = Convert.ToBoolean(Left.Evaluate());
            bool rr = Convert.ToBoolean(Right.Evaluate());

            return Convert.ToString(lr && rr);
        }
    }
}
