﻿using System;

namespace EmbeddedSharp.Core.Function.Logic {
    public class OrNode : LogicOperatorNode {

        /// <summary>
        /// |
        /// </summary>
        public OrNode()
            : base() {
            this.Value = "|";
        }

        public override FuncNode GetReversedFunction(int index) {
            return new NorNode();
        }

        public override object Evaluate() {
            bool lr = Convert.ToBoolean(Left.Evaluate());
            bool rr = Convert.ToBoolean(Right.Evaluate());

            return Convert.ToString(lr || rr);
        }
    }
}
