﻿using System;

namespace EmbeddedSharp.Core.Function.String
{
    public class TrimStartNode : FuncNode
    {
        public TrimStartNode()
            : base()
        {
            base.Value = "trimStart";
        }

        public override object Evaluate()
        {
            int length = Parameters.Count;
            if (length < 1)
            {
                throw new ArgumentException("usage: trimStart(expr)");
            }

            string expr = Parameters[0].Evaluate().ToString();

            return expr.TrimStart();
        }
    }
}
