﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace EmbeddedSharp.Core {

    /// <summary>
    /// Load functions
    /// </summary>
    public interface IFunctionLoader {

        /// <summary>
        /// Load functions from the file
        /// </summary>
        /// <param name="location">the source location</param>
        void LoadFromFolder(string location);

        /// <summary>
        /// Load from an individual file source
        /// </summary>
        /// <param name="fileName"></param>
        void LoadFromFile(string fileName);
    }
}
