﻿namespace EmbeddedSharp.Core {
    public class NumberNode : Node {

        public NumberNode() {
        }

        public override string Type {
            get {
                return "Number";
            }
        }

        public NumberNode(double value) {
            this.Value = value.ToString();
        }

        public override object Accept(IVisitor visitor) {
            return visitor.Visit(this);
        }

        public override object Evaluate() {
            return this.Value;
        }
    }
}
