﻿using System.IO;

namespace EmbeddedSharp.Core.TextConentProviders {
    public class StringContentProvider : ITextContentProvider {

        public string Name { get; set; }

        public TextReader SourceReader {
            get {
                return new StringReader(Name);
            }
        }

        public StringContentProvider(string source) {
            this.Name = source;
        }
    }
}
