﻿using System;
using System.Collections.Generic;
using System.Text;

namespace RootFinding
{
    public interface IRootFinder
    {
        /// <summary>
        /// Find the root of the expression within the given range.
        /// </summary>
        /// <param name="var"></param>
        /// <param name="expr"></param>
        /// <returns></returns>
        double Solve(string expr, double l, double h);
    }
}
