﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using WeifenLuo.WinFormsUI.Docking;

namespace Zove.Desktop {
    public partial class AssociatedClassesView : DockContent {

        private List<Zove.Runtime.DefaultRuntimeModelLoader.AssociatedClass> classes = null;

        public AssociatedClassesView() {
            InitializeComponent();

            Load += new EventHandler(AssociatedClassesView_Load);
            this.gvAssociatedClasses.RowsAdded += new DataGridViewRowsAddedEventHandler(gvAssociatedClasses_RowsAdded);
        }

        public AssociatedClassesView(
            List<Zove.Runtime.DefaultRuntimeModelLoader.AssociatedClass> classes)
            : this() {
            this.classes = classes;
        }

        public void AssociatedClassesView_Load(object sender, EventArgs e) {
            this.gvAssociatedClasses.DataSource = this.classes;
        }

        public void gvAssociatedClasses_RowsAdded(object sender, EventArgs e) {
            
        }
    }
}
