﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using EmbeddedSharp.Core;

namespace Zove.Desktop
{
    public partial class GotoView : Form
    {
        public GotoView()
        {
            InitializeComponent();
        }

        public int LineNumber
        {
            get
            {
                return Convert.ToInt32(
                    this.numericUpDown1.Value) - 1;
            }
            set
            {
                this.numericUpDown1.Value = value + 1;
            }
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.OK;
            this.Close();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Cancel;
            this.Close();
        }
    }
}
