﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using WeifenLuo.WinFormsUI.Docking;

namespace Zove.Desktop {
    public partial class ServerManagerView : DockContent {

        private List<Zove.Desktop.Form1.ServerInfo> servers;

        public ServerManagerView() {
            InitializeComponent();

            this.Load+=new EventHandler(ServerManagerView_Load);
        }

        public ServerManagerView(List<Zove.Desktop.Form1.ServerInfo> servers)
            : this() {
            this.servers = servers;
        }

        public void ServerManagerView_Load(object sender, EventArgs e) {
            this.gvServers.DataSource = this.servers;
        }
    }
}
