﻿using DigitalRune.Windows.TextEditor.Highlighting;
using System.Windows.Forms;

namespace Zove.Desktop {
    public partial class TextEditor : EditingForm {
        public TextEditor() {
            InitializeComponent();
        }

        public TextEditor(string fileName, string type)
            : base(fileName) {
            this.GetTextEditorControl().Document.HighlightingStrategy
                = HighlightingManager.Manager.FindHighlighter(type);
        }

        public override void Run() {
            MessageBox.Show("The source is not executable.");
        }
    }
}
