﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Zove.Desktop {
    public class WorkspaceWindowCollection : List<SolutionWindow> {

        /// <summary>
        /// Close all the active workspaces
        /// </summary>
        /// <returns></returns>
        public void CloseAll() {
            foreach (SolutionWindow sw in this) {
                sw.Close();
            }
        }
    }
}
