﻿using System;

namespace Zove.Runtime.Queries {
    /// <summary>
    /// Assert exception
    /// </summary>
    public class AssertException : Exception {
        /// <summary>
        /// Default constructor
        /// </summary>
        /// <param name="expected">the expected value</param>
        /// <param name="actual">the actual value</param>
        public AssertException(object expected, object actual)
            : base(string.Format("Asserting {0} is not matched with {1}.", expected, actual)) {
        }

        /// <summary>
        /// Constructor with a message
        /// </summary>
        /// <param name="message">the message</param>
        public AssertException(string message)
            : base(message) {
        }
    }
}
