﻿using System;
using System.Collections.Generic;
using EmbeddedSharp.Core.Logging;

namespace Zove.Runtime.Queries {
    /// <summary>
    /// Model loading exception
    /// </summary>
    public class ModelLoadingException : Exception {

        public List<LoggingMessage> ErrorMessages {
            get;
            set;
        }

        public ModelLoadingException(List<LoggingMessage> errorMessages)
            : base() {
            this.ErrorMessages = errorMessages;
        }
    }
}
