﻿using EmbeddedSharp.Scripting.Function;
using EmbeddedSharp.Scripting;

namespace Zove.Runtime.Core {
    /// <summary>
    /// Default user defined rule factory
    /// </summary>
    public class DefaultUserDefinedRuleFactory : IUserDefinedFunctionFactory {
        #region IUserDefinedFunctionFactory Members

        /// <summary>
        /// Create a new user defined routine
        /// </summary>
        /// <returns></returns>
        public UserDefinedFunctionNode Create() {
            return new UserDefinedRuleNode();
        }

        #endregion
    }
}
