﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Zove.Scripting.Guikit {
    public partial class InputDialog : Form {

        public string Input {
            get;
            set;
        }

        public InputDialog() {
            InitializeComponent();
        }

        public InputDialog(string message)
            : this() {
            this.label1.Text = message;
        }

        private void btnOk_Click(object sender, EventArgs e) {
            this.Input = this.textBox1.Text;
            this.DialogResult = DialogResult.OK;
        }

        private void btnCancel_Click(object sender, EventArgs e) {
            this.DialogResult = DialogResult.Cancel;
        }
    }
}
