﻿using System;
using System.Text;
using EmbeddedSharp.Core;
using EmbeddedSharp.Scripting;

namespace EmbeddedSharp.Scripting.Optimization
{

    /// <summary>
    /// The form is 
    /// a = minimize(1-2*x^2, x, 0, 100);
    /// echo(a); # the result is 
    /// echo(x); # the output is
    /// </summary>
    public class MaximizeNode : OptimizeNode {

        public MaximizeNode()
            : base(true) {
            base.Value = "maximize";
        }
    }
}
